Subject: bug#65188: 29.1; WEBP image not displayed

From: Corwin Brust <[email-masked]>
Date: Thu, 10 Aug 2023 06:40:10 -0500

On Thu, Aug 10, 2023 at 4:16 AM Corwin Brust <[email-masked]> wrote:
>
> On Thu, Aug 10, 2023 at 3:04 AM Corwin Brust <[email-masked]> wrote:
> >
> > approach looking specifically for libwebp-7.  Here I can see two webp
> > related DLLs (but I'm fairly sure we only include one of them).  The
> >
> > libwebpdemux-2.dll C:\msys2\mingw64\bin\libwebpdemux-2.dll
> > libwebp-7.dll H:\packaging-test\emacs-29.1_1\bin\libwebp-7.dll
> >
> > Problem, yes?   Packaging problem only?
>
> User jbe on Libera.Chat #emacs IRC kindly confirmed both the original
> issue reproduces using the emacs-29.1_1 binaries, and that adding the
> "debux" DLL mentioned above resolves the issue.
>
> So, I have created a new deps archive and am working on a new release
> set.  Once I have created and verified a new set of binaries, if there
> are not concerns or countermanding instructions, I'll go ahead and
> push emacs-29.1_2 to GNU FTP.
>

>
> awrhygty (and anyone),
>
> You can test that the new set will fix the problem for you by

either
 - running emacs-29.1_2-installer.exe, or else
 - unpacking emacs-29.1_2.zip,
and then trying to load a WEBP image on the resulting Emacs

> unpacking the deps zip file (link #1, above) and unpacking it on atop
> the bin folder from your emacs-29.1_1 install.  It doesn't matter
> whether you say "Yes" to allow replacing files or not - the only
> differences should be some new WEBP related DLLs.
>
> Sorry for the inconvenience and thanks for reporting the problem.
>
> Eli,
>
> I have expressly added WEBP into the list of packages needed, in
> admin/nt/build-deps-zip.py.   It is worth noting that this script is
> really painful because the upstream MSYS package source paths keep
> changing; I had to make several unrelated (cert and sqllite3 source
> archive URL) changes to run it, just now.   I think lib-webp7.dll was
> included at all only because something else we list as a dep was
> depending on it, but I'm not quite sure what just yet.
>
> I realize others don't find this script as important as I do, but I've
> really struggled to do what it does manually constantly, much less
> create simpler scripting.  I regret not sending in a proper patch for
> discussion well in advance of the release.
>
> Is this the right place, or should I open my own bug report to discuss
> my version of build-deps-zips and whether to merge my changes that
> make it work for building Emacs 29 and Enacs 30?  (Not attaching
> anything quite yet, but I did put the current version of the script
> into the folder I linked above.)

Now done.  You should soon find emacs-29.1_2 on your favorite GNU FTP
mirror.  Meanwhile, here's a non-mirror link in case you are seeing
this (as I am writing it), before propagation to mirrors:

  https://ftp.gnu.org/gnu/emacs/windows/emacs-29/?C=M;O=D

awrhygty,

Please try emacs-29.1_2.zip or (emacs-29.1_2-installer.exe) and
confirm this version renders WEBP images for you.

TIA and (again) for reporting